Package org.apache.sling.jackrabbit.usermanager.impl.resource

# Class BaseResource

java.lang.Object
org.apache.sling.api.adapter.SlingAdaptable
org.apache.sling.api.resource.AbstractResource
org.apache.sling.jackrabbit.usermanager.impl.resource.BaseResource

All Implemented Interfaces:
  `org.apache.sling.api.adapter.Adaptable`, `org.apache.sling.api.resource.Resource`

Direct Known Subclasses:
  `AuthorizableResource`, `PrincipalResource`

public abstract class BaseResource extends org.apache.sling.api.resource.AbstractResource
Base Resource implementation for the common parts

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final org.apache.sling.api.resource.ResourceResolver`
`resourceResolver`

### Fields inherited from interface org.apache.sling.api.resource.Resource

`RESOURCE_TYPE_NON_EXISTING`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`BaseResource(org.apache.sling.api.resource.ResourceResolver resourceResolver, String path)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getPath()`
`org.apache.sling.api.resource.ResourceMetadata`
`getResourceMetadata()`
`org.apache.sling.api.resource.ResourceResolver`
`getResourceResolver()`
`String`
`getResourceSuperType()`

### Methods inherited from class org.apache.sling.api.resource.AbstractResource

`getChild, getChildren, getName, getParent, getValueMap, hasChildren, isResourceType, listChildren`

### Methods inherited from class org.apache.sling.api.adapter.SlingAdaptable

`adaptTo, setAdapterManager, unsetAdapterManager`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.sling.api.adapter.Adaptable

`adaptTo`

### Methods inherited from interface org.apache.sling.api.resource.Resource

`getResourceType`

## Field Details

### resourceResolver

protected final org.apache.sling.api.resource.ResourceResolver resourceResolver

## Constructor Details

### BaseResource

protected BaseResource(org.apache.sling.api.resource.ResourceResolver resourceResolver, String path)

## Method Details

### getPath

public String getPath()

### getResourceMetadata

public org.apache.sling.api.resource.ResourceMetadata getResourceMetadata()

### getResourceResolver

public org.apache.sling.api.resource.ResourceResolver getResourceResolver()

### getResourceSuperType

public String getResourceSuperType()